<!---

Copyright (C) 2022-2023 Intel Corporation

SPDX-License-Identifier: MIT

-->

# Compute-Runtime Programmers and Optimization Guide

## Introduction

This document provides the architectural design followed in the Intel(R) Graphics Compute Runtime for oneAPI Level Zero and OpenCL(TM) Driver. Implementation details and optimization guidelines are explained, as well as a description of the different features available for the different supported platforms.

### [Allocations greater than 4GB](ALLOCATIONS_GREATER_THAN_4GB.md)
### [NEO Compiler Cache](COMPILER_CACHE.md)
### [Implicit scaling](IMPLICIT_SCALING.md)
### [Immediate Commandlist](IMMEDIATE_COMMANDLIST.md)
### [L0 Metrics](METRICS.md)
### [Module Symbols and Linking in Level Zero](MODULE_SYMBOL_SUPPORT.md)
### [L0 Sysman](SYSMAN.md)
### [System Memory Allocations in Level Zero](SYSTEM_MEMORY_ALLOCATIONS.md)